esp32_BNO08x 1.4 C++ BNO08x IMU driver component for esp-idf.

Static Public Member Functions | List of all members
BNO08xTestSuite Class Reference

BNO08x unit test launch point class. More...

`#include <BNO08xTestSuite.hpp>`

## Static Public Member Functions
static void | run_all_tests ()
static void | run_init_deinit_tests (bool call_unity_end_begin=true)
static void | run_single_report_tests (bool call_unity_end_begin=true)
static void | run_multi_report_tests (bool call_unity_end_begin=true)
static void | run_callback_tests (bool call_unity_end_begin=true)
static void | run_feature_tests (bool call_unity_end_begin=true)

## Detailed Description

BNO08x unit test launch point class.

## Member Function Documentation

## ◆ run_all_tests()

static void BNO08xTestSuite::run_all_tests | ( |  | ) |
| inline static

Here is the call graph for this function:

## ◆ run_callback_tests()

static void BNO08xTestSuite::run_callback_tests | ( | bool | call_unity_end_begin = `true` | ) |
| inline static

Here is the caller graph for this function:

## ◆ run_feature_tests()

static void BNO08xTestSuite::run_feature_tests | ( | bool | call_unity_end_begin = `true` | ) |
| inline static

Here is the caller graph for this function:

## ◆ run_init_deinit_tests()

static void BNO08xTestSuite::run_init_deinit_tests | ( | bool | call_unity_end_begin = `true` | ) |
| inline static

Here is the caller graph for this function:

## ◆ run_multi_report_tests()

static void BNO08xTestSuite::run_multi_report_tests | ( | bool | call_unity_end_begin = `true` | ) |
| inline static

Here is the caller graph for this function:

## ◆ run_single_report_tests()

static void BNO08xTestSuite::run_single_report_tests | ( | bool | call_unity_end_begin = `true` | ) |
| inline static

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- /media/develop/git/imu_pr_cleanup/components/esp32_BNO08x/include/BNO08xTestSuite.hpp